import os
import random

items = []

for item in ['train', 'dev']:
    temp = os.listdir('./nli-shared-task-2017/data/essays/{}/tokenized'.format(item))
    items += temp

print(len(items))

random.shuffle(items)

subsets = []

for i in range(10):
    subsets.append(items[i*1100:(i+1)*1100])

for item in subsets:
    print(len(item))

with open('./subsets.txt', 'w') as outfile:
    outfile.write(str(subsets))
        

