data_location = './nli-shared-task-2017/data'
prediction_location = './nli-shared-task-2017/predictions'
features_location = './nli-shared-task-2017/data/features'

file_grp = ['dev', 'train']

training_set = ['train']
testing_set = ['dev']

ngram_ranges = {'char': (3, 7),
                'word': (1, 5),
                'pos': (1, 4),
                'long_char': (7, 7)}

# Backwards compatibility
char_ngram_range = ngram_ranges['char']
word_ngram_range = ngram_ranges['word']
pos_ngram_range = ngram_ranges['pos']


char_ngram_importance_sz = 30000
word_ngram_importance_sz = 30000
pos_ngram_importance_sz = 10000
long_char_ngram_importance_sz = 0

char_input_sz = char_ngram_importance_sz
word_input_sz = word_ngram_importance_sz
pos_input_sz = pos_ngram_importance_sz
long_char_input_sz = long_char_ngram_importance_sz
ivectors_sz = 800
