from ast import literal_eval
import matplotlib.pyplot as plt
from matplotlib_venn import venn3

predictions = []

for item in ['char', 'word', 'pos']:
    with open('./savedModels/linear/{}/predictions.txt', 'r') as infile:
        temp = literal_eval(infile.readline())
        labs = temp[0]
        preds = temp[1]
        temp = []
        for i in range(len(labs)):
            temp.append((labs[i], preds[i]))
        predictions.append(set(temp))

diag = venn3(predictions, set_labels=('Character', 'Word', 'POS'))

plt.savefig('venn.png')            
